Skip to content

LegalOn API (1.1.0)

API documentation for LegalOn services

Languages
Servers
The server URL is `{api_base_url}/rest/v1`. You can construct the server URL using the value of `api_base_url` provided in the response when obtaining an access token.
https://{api_base_url_without_scheme}/rest/v1

Users

Operations about user

Operations

User Groups

Operations about user group

Operations

Create user group

Request

Create a new user group

Security
OAuth2ClientCredentials
Bodyapplication/jsonrequired

User group creation request

display_namestring[ 1 .. 100 ] charactersrequired

User group name. Both full-width and half-width characters count as one character. A user group cannot be created with a duplicate user group name.

descriptionstring[ 0 .. 100 ] characters

User group description. Both full-width and half-width characters count as one character.

curl -i -X POST \
  'https://{api_base_url_without_scheme}/rest/v1/user-groups' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "display_name": "string",
    "description": "string"
  }'

Responses

Created

Bodyapplication/json
user_group_idstring(uuid)required

LegalOn-generated user group ID

display_namestring[ 1 .. 100 ] charactersrequired

User group name. Both full-width and half-width characters count as one character.

descriptionstring[ 0 .. 100 ] characters

User group description. Both full-width and half-width characters count as one character.

member_sizeintegerrequired

Number of users in the group with ACTIVE, INACTIVE, or INVITED status

Response
application/json
{ "user_group_id": "76088fa5-1ce5-3ca9-303a-8466c48581ba", "display_name": "Legal Department", "description": "Contract Review Members", "member_size": 2 }

Update user group

Request

Update the user group

Security
OAuth2ClientCredentials
Path
user_group_idstring(uuid)required

LegalOn-generated user group ID

Bodyapplication/jsonrequired

User group update request

display_namestring[ 1 .. 100 ] charactersrequired

User group name. Both full-width and half-width characters count as one character.

descriptionstring[ 0 .. 100 ] characters

User group description. Both full-width and half-width characters count as one character.

curl -i -X PATCH \
  'https://{api_base_url_without_scheme}/rest/v1/user-groups/{user_group_id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "display_name": "string",
    "description": "string"
  }'

Responses

OK

Bodyapplication/json
user_group_idstring(uuid)required

LegalOn-generated user group ID

display_namestring[ 1 .. 100 ] charactersrequired

User group name. Both full-width and half-width characters count as one character.

descriptionstring[ 0 .. 100 ] characters

User group description. Both full-width and half-width characters count as one character.

member_sizeintegerrequired

Number of users in the group with ACTIVE, INACTIVE, or INVITED status

Response
application/json
{ "user_group_id": "76088fa5-1ce5-3ca9-303a-8466c48581ba", "display_name": "Legal Department", "description": "Contract Review Members", "member_size": 2 }

Delete user group

Request

Delete the user group

Security
OAuth2ClientCredentials
Path
user_group_idstring(uuid)required

LegalOn-generated user group ID

curl -i -X DELETE \
  'https://{api_base_url_without_scheme}/rest/v1/user-groups/{user_group_id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

No Content

Response
No content

Workspaces

Operations about all tenant workspaces/folders regardless of the user's access permissions.

Operations

Departments

Operations about department

Operations

Contracts(Files)

Operations to create, retrieve, update, and delete contracts. For operations that target a workspace, specify a workspace_id obtained via the common Workspaces endpoint (GET /workspaces).

Operations

Workspaces

Workspaces/folders are the common units used to store and organize resources such as contracts. This endpoint returns the workspaces/folders the calling user has access to, as a tree. For operations that target a workspace (e.g., the Contract API), specify the workspace_id obtained here. To manage workspaces across the tenant (creation, permissions, etc.), see the admin workspace operations (/spaces).

Operations